org.eclnt.jsfserver.defaultscreens

## Class Statusbar

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.Statusbar

- All Implemented Interfaces:
    java.io.Serializable

      public class Statusbar
      extends java.lang.Object
      implements java.io.Serializable

  Default status bar output. The public static methods are the ones to be used inside using programs. The status bar relates to the ROWSTATUSBAR component and provides the default properties.
  If using exactly one status bar within your application, then it is sufficient to just use the static methods in order to address the central status bar.
  If using more than one status bar (e.g. when separating the application into different frames) then you need to use the object-related methods (i.e. the non-static methods).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Statusbar.Clearer`
    `static interface` | `Statusbar.IStatusBarDrillDownInfoProvider`
    `static class` | `Statusbar.StatusBarDrillDownInforProviderNoDrillDown` Default implementation of `Statusbar.IStatusBarDrillDownInfoProvider` - not passing any messages to the global status bar.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INTBGPAINT_BACK`
    `static java.lang.String` | `INTBGPAINT_ERROR`
    `static java.lang.String` | `INTBGPAINT_MESSAGE`
    `static java.lang.String` | `INTBGPAINT_SUCCESS`
    `static java.lang.String` | `INTBGPAINT_WARNING`
    `static boolean` | `POPUP_ANIMATED` Definition if status bar popups are opened with some animation.
    `static int` | `POPUP_OPACITY` Opacity of statusbar popups.
    `static boolean` | `POPUP_UNDECORATED` Definition if status bar popups are opened undecorated or not.
    `static java.lang.String` | `POPUPTEXTCOLOR_ERROR`
    `static java.lang.String` | `POPUPTEXTCOLOR_MESSAGE`
    `static java.lang.String` | `POPUPTEXTCOLOR_SUCCESS`
    `static java.lang.String` | `POPUPTEXTCOLOR_WARNING`
    `static boolean` | `s_avoidDoubleOccuranceOfMessages`
    `static java.lang.String` | `SBTEXTCOLOR_ERROR`
    `static java.lang.String` | `SBTEXTCOLOR_MESSAGE`
    `static java.lang.String` | `SBTEXTCOLOR_SUCCESS`
    `static java.lang.String` | `SBTEXTCOLOR_WARNING`
    `static int` | `TYPE_ALERT`
    `static int` | `TYPE_ERROR`
    `static int` | `TYPE_MESSAGE`
    `static int` | `TYPE_SUCCESS`
    `static int` | `TYPE_WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statusbar()`
    `Statusbar(Statusbar.IStatusBarDrillDownInfoProvider statusBarDrillDownInfoProvider)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `autoClearStatusbar(int duration)`
    `void` | `autoClearStatusbarContent(int duration)`
    `static void` | `avoidNextClearing()` By default the statusbar is cleared with each roundtrip.
    `int` | `checkIfMessageAlreadyWasOutput(int messageType, java.lang.String messageText)` Checks if a message already was output to the status bar.
    `int` | `checkIfMessageAlreadyWasOutput(java.lang.String messageText)` Checks if a message already was output to the status bar.
    `void` | `clear()` Clear statusbar output.
    `void` | `destroy()`
    `java.lang.String` | `getBgpaint()`
    `int` | `getClearTimerDuration()`
    `java.lang.String` | `getFont()`
    `java.lang.String` | `getHtStyle()`
    `java.lang.String` | `getImage()`
    `static boolean` | `getImmediatelyShowAllMessages()`
    `boolean` | `getImmediatelyShowAllMessagesForInstance()`
    `boolean` | `getMessagesAreaShown()`
    `boolean` | `getMoreThanOneMessage()`
    `boolean` | `getMoreThanOneMessageIconShown()`
    `java.lang.String` | `getPopupimage()`
    `java.lang.String` | `getRequestIdOfLastMessage()` Request if of the last request that added a message.
    `Trigger` | `getSoundTrigger()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextColor()`
    `static void` | `initAvoidDoubleOccuranceOfMessages(boolean value)`
    `void` | `onAutoClear(ActionEvent e)`
    `void` | `onToggleMessagesArea(ActionEvent event)`
    `static ModalPopup` | `outputAlert(java.lang.String text)` Output alert message.
    `static ModalPopup` | `outputAlert(java.lang.String text, java.lang.String title)` Output alert message.
    `static ModalPopup` | `outputAlert(java.lang.String text, java.lang.String title, java.lang.String longText)`
    `static void` | `outputError(java.lang.String text)` Output error message.
    `static void` | `outputError(java.lang.String text, java.lang.String longText)`
    `static void` | `outputMessage(java.lang.String text)` Output normal status message.
    `static void` | `outputMessage(java.lang.String text, java.lang.String longText)`
    `static ModalPopup` | `outputMessageWithPopup(java.lang.String text)`
    `static ModalPopup` | `outputMessageWithPopup(java.lang.String text, java.lang.String longText)`
    `static void` | `outputSuccess(java.lang.String text)` Output success message.
    `static void` | `outputSuccess(java.lang.String text, java.lang.String longText)`
    `static ModalPopup` | `outputSuccessWithPopup(java.lang.String text)`
    `static ModalPopup` | `outputSuccessWithPopup(java.lang.String text, java.lang.String longText)`
    `static void` | `outputWarning(java.lang.String text)` Output warning message.
    `static void` | `outputWarning(java.lang.String text, java.lang.String longText)`
    `static ModalPopup` | `outputWarningWithPopup(java.lang.String text)`
    `static ModalPopup` | `outputWarningWithPopup(java.lang.String text, java.lang.String longText)`
    `void` | `setBgpaint(java.lang.String value)`
    `void` | `setFont(java.lang.String value)`
    `void` | `setHtStyle(java.lang.String value)`
    `void` | `setImage(java.lang.String value)`
    `static void` | `setImmediatelyShowAllMessages(boolean immediatelyShowAllMessages)` This flag defined what happens if mulitple messages are output within one request processing.
    `void` | `setImmediatelyShowAllMessagesForInstance(boolean immediatelyShowAllMessages)` Similar to method `setImmediatelyShowAllMessages(boolean)`, but: now defined on instance level, not on static level (addressing the central status bar).
    `void` | `setMessagesPane(BaseComponent pane)`
    `void` | `setText(java.lang.String value)`
    `void` | `setTextColor(java.lang.String value)`
    `ModalPopup` | `writeAlert(java.lang.String text)`
    `ModalPopup` | `writeAlert(java.lang.String text, java.lang.String title)` Output alert message.
    `void` | `writeError(java.lang.String text)` Output error message into this concrete instance.
    `void` | `writeError(java.lang.String text, java.lang.String longText)`
    `void` | `writeMessage(java.lang.String text)` Output normal status message into this concrete instance.
    `void` | `writeMessage(java.lang.String text, java.lang.String longText)`
    `ModalPopup` | `writeMessageWithPopup(java.lang.String text)`
    `ModalPopup` | `writeMessageWithPopup(java.lang.String text, java.lang.String longText)`
    `void` | `writeSuccess(java.lang.String text)` Output success message into this concrete instance.
    `void` | `writeSuccess(java.lang.String text, java.lang.String longText)`
    `ModalPopup` | `writeSuccessWithPopup(java.lang.String text)`
    `ModalPopup` | `writeSuccessWithPopup(java.lang.String text, java.lang.String longText)`
    `void` | `writeWarning(java.lang.String text)` Output warning message into this concrete instance.
    `void` | `writeWarning(java.lang.String text, java.lang.String longText)`
    `ModalPopup` | `writeWarningWithPopup(java.lang.String text)`
    `ModalPopup` | `writeWarningWithPopup(java.lang.String text, java.lang.String longText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTBGPAINT_MESSAGE

          public static java.lang.String INTBGPAINT_MESSAGE

    - #### INTBGPAINT_ERROR

          public static java.lang.String INTBGPAINT_ERROR

    - #### INTBGPAINT_WARNING

          public static java.lang.String INTBGPAINT_WARNING

    - #### INTBGPAINT_SUCCESS

          public static java.lang.String INTBGPAINT_SUCCESS

    - #### INTBGPAINT_BACK

          public static java.lang.String INTBGPAINT_BACK

    - #### SBTEXTCOLOR_ERROR

          public static java.lang.String SBTEXTCOLOR_ERROR

    - #### SBTEXTCOLOR_WARNING

          public static java.lang.String SBTEXTCOLOR_WARNING

    - #### SBTEXTCOLOR_SUCCESS

          public static java.lang.String SBTEXTCOLOR_SUCCESS

    - #### SBTEXTCOLOR_MESSAGE

          public static java.lang.String SBTEXTCOLOR_MESSAGE

    - #### POPUPTEXTCOLOR_ERROR

          public static java.lang.String POPUPTEXTCOLOR_ERROR

    - #### POPUPTEXTCOLOR_WARNING

          public static java.lang.String POPUPTEXTCOLOR_WARNING

    - #### POPUPTEXTCOLOR_SUCCESS

          public static java.lang.String POPUPTEXTCOLOR_SUCCESS

    - #### POPUPTEXTCOLOR_MESSAGE

          public static java.lang.String POPUPTEXTCOLOR_MESSAGE

    - #### TYPE_MESSAGE

          public static final int TYPE_MESSAGE

      See Also:
        Constant Field Values

    - #### TYPE_SUCCESS

          public static final int TYPE_SUCCESS

      See Also:
        Constant Field Values

    - #### TYPE_WARNING

          public static final int TYPE_WARNING

      See Also:
        Constant Field Values

    - #### TYPE_ERROR

          public static final int TYPE_ERROR

      See Also:
        Constant Field Values

    - #### TYPE_ALERT

          public static final int TYPE_ALERT

      See Also:
        Constant Field Values

    - #### POPUP_OPACITY

          public static int POPUP_OPACITY

      Opacity of statusbar popups. Default: true.

    - #### POPUP_UNDECORATED

          public static boolean POPUP_UNDECORATED

      Definition if status bar popups are opened undecorated or not. Default: true.

    - #### POPUP_ANIMATED

          public static boolean POPUP_ANIMATED

      Definition if status bar popups are opened with some animation. Default: true.

    - #### s_avoidDoubleOccuranceOfMessages

          public static boolean s_avoidDoubleOccuranceOfMessages

  - ### Constructor Detail

    - #### Statusbar

          public Statusbar()

    - #### Statusbar

          public Statusbar(Statusbar.IStatusBarDrillDownInfoProvider statusBarDrillDownInfoProvider)

  - ### Method Detail

    - #### initAvoidDoubleOccuranceOfMessages

          public static void initAvoidDoubleOccuranceOfMessages(boolean value)

    - #### avoidNextClearing

          public static void avoidNextClearing()

      By default the statusbar is cleared with each roundtrip. By calling this method you can avoid this clearing and can prolong the lifecycle of the statusbar content for one further roundtrip.

    - #### outputMessage

          public static void outputMessage(java.lang.String text)

      Output normal status message.

    - #### outputMessage

          public static void outputMessage(java.lang.String text,
                                           java.lang.String longText)

    - #### outputMessageWithPopup

          public static ModalPopup outputMessageWithPopup(java.lang.String text)

    - #### outputMessageWithPopup

          public static ModalPopup outputMessageWithPopup(java.lang.String text,
                                                          java.lang.String longText)

    - #### writeMessage

          public void writeMessage(java.lang.String text)

      Output normal status message into this concrete instance.

    - #### writeMessage

          public void writeMessage(java.lang.String text,
                                   java.lang.String longText)

    - #### writeMessageWithPopup

          public ModalPopup writeMessageWithPopup(java.lang.String text)

    - #### writeMessageWithPopup

          public ModalPopup writeMessageWithPopup(java.lang.String text,
                                                  java.lang.String longText)

    - #### outputSuccess

          public static void outputSuccess(java.lang.String text)

      Output success message.

    - #### outputSuccess

          public static void outputSuccess(java.lang.String text,
                                           java.lang.String longText)

    - #### outputSuccessWithPopup

          public static ModalPopup outputSuccessWithPopup(java.lang.String text)

    - #### outputSuccessWithPopup

          public static ModalPopup outputSuccessWithPopup(java.lang.String text,
                                                          java.lang.String longText)

    - #### writeSuccess

          public void writeSuccess(java.lang.String text)

      Output success message into this concrete instance.

    - #### writeSuccess

          public void writeSuccess(java.lang.String text,
                                   java.lang.String longText)

    - #### writeSuccessWithPopup

          public ModalPopup writeSuccessWithPopup(java.lang.String text)

    - #### writeSuccessWithPopup

          public ModalPopup writeSuccessWithPopup(java.lang.String text,
                                                  java.lang.String longText)

    - #### outputWarning

          public static void outputWarning(java.lang.String text)

      Output warning message.

    - #### outputWarning

          public static void outputWarning(java.lang.String text,
                                           java.lang.String longText)

    - #### outputWarningWithPopup

          public static ModalPopup outputWarningWithPopup(java.lang.String text)

    - #### outputWarningWithPopup

          public static ModalPopup outputWarningWithPopup(java.lang.String text,
                                                          java.lang.String longText)

    - #### writeWarning

          public void writeWarning(java.lang.String text)

      Output warning message into this concrete instance.

    - #### writeWarning

          public void writeWarning(java.lang.String text,
                                   java.lang.String longText)

    - #### writeWarningWithPopup

          public ModalPopup writeWarningWithPopup(java.lang.String text)

    - #### writeWarningWithPopup

          public ModalPopup writeWarningWithPopup(java.lang.String text,
                                                  java.lang.String longText)

    - #### outputError

          public static void outputError(java.lang.String text)

      Output error message.

    - #### outputError

          public static void outputError(java.lang.String text,
                                         java.lang.String longText)

    - #### writeError

          public void writeError(java.lang.String text)

      Output error message into this concrete instance.

    - #### writeError

          public void writeError(java.lang.String text,
                                 java.lang.String longText)

    - #### outputAlert

          public static ModalPopup outputAlert(java.lang.String text)

      Output alert message. This message must be confirmed by the user.

    - #### outputAlert

          public static ModalPopup outputAlert(java.lang.String text,
                                               java.lang.String title)

      Output alert message. This message must be confirmed by the user. With this method you can add an explicit title for the popup that is opened.

    - #### outputAlert

          public static ModalPopup outputAlert(java.lang.String text,
                                               java.lang.String title,
                                               java.lang.String longText)

    - #### writeAlert

          public ModalPopup writeAlert(java.lang.String text)

    - #### writeAlert

          public ModalPopup writeAlert(java.lang.String text,
                                       java.lang.String title)

      Output alert message. This message must be confirmed by the user. With this method you can add an explicit title for the popup that is opened.

    - #### getRequestIdOfLastMessage

          public java.lang.String getRequestIdOfLastMessage()

      Request if of the last request that added a message.

    - #### setImmediatelyShowAllMessages

          public static void setImmediatelyShowAllMessages(boolean immediatelyShowAllMessages)

      This flag defined what happens if mulitple messages are output within one request processing. By default ("false") the last message is output to the status bar and the user can open an area, in which all messages are shown by explicitly clicking onto a corresponding icon.
      If setting this property to "true" then the list of messages is opened immediately, i.e. the user does not have to explicitly click the icon.

    - #### getImmediatelyShowAllMessages

          public static boolean getImmediatelyShowAllMessages()

    - #### setImmediatelyShowAllMessagesForInstance

          public void setImmediatelyShowAllMessagesForInstance(boolean immediatelyShowAllMessages)

      Similar to method `setImmediatelyShowAllMessages(boolean)`, but: now defined on instance level, not on static level (addressing the central status bar).

    - #### getImmediatelyShowAllMessagesForInstance

          public boolean getImmediatelyShowAllMessagesForInstance()

    - #### clear

          public void clear()

      Clear statusbar output.

    - #### setText

          public void setText(java.lang.String value)

    - #### getText

          public java.lang.String getText()

    - #### setTextColor

          public void setTextColor(java.lang.String value)

    - #### getTextColor

          public java.lang.String getTextColor()

    - #### getClearTimerDuration

          public int getClearTimerDuration()

    - #### setImage

          public void setImage(java.lang.String value)

    - #### getImage

          public java.lang.String getImage()

    - #### getPopupimage

          public java.lang.String getPopupimage()

    - #### setBgpaint

          public void setBgpaint(java.lang.String value)

    - #### getBgpaint

          public java.lang.String getBgpaint()

    - #### setFont

          public void setFont(java.lang.String value)

    - #### getFont

          public java.lang.String getFont()

    - #### setHtStyle

          public void setHtStyle(java.lang.String value)

    - #### getHtStyle

          public java.lang.String getHtStyle()

    - #### getSoundTrigger

          public Trigger getSoundTrigger()

    - #### getMoreThanOneMessageIconShown

          public boolean getMoreThanOneMessageIconShown()

    - #### getMoreThanOneMessage

          public boolean getMoreThanOneMessage()

    - #### getMessagesAreaShown

          public boolean getMessagesAreaShown()

    - #### onToggleMessagesArea

          public void onToggleMessagesArea(ActionEvent event)

    - #### setMessagesPane

          public void setMessagesPane(BaseComponent pane)

    - #### destroy

          public void destroy()

    - #### autoClearStatusbar

          public static void autoClearStatusbar(int duration)

    - #### autoClearStatusbarContent

          public void autoClearStatusbarContent(int duration)

    - #### onAutoClear

          public void onAutoClear(ActionEvent e)

    - #### checkIfMessageAlreadyWasOutput

          public int checkIfMessageAlreadyWasOutput(int messageType,
                                                    java.lang.String messageText)

      Checks if a message already was output to the status bar.
      Parameters:
        `messageType` - One of the TYPE_* constant values.
        `messageText` -
      Returns:
        -1 => not found, >= 0 => found

    - #### checkIfMessageAlreadyWasOutput

          public int checkIfMessageAlreadyWasOutput(java.lang.String messageText)

      Checks if a message already was output to the status bar.
      Returns:
        -1 => not found, >= 0 => found

Copyright © CaptainCasa Gmbh. All Rights Reserved.